|  | Home · All Classes · Modules

# QTableWidgetSelectionRange Class Reference
[QtGui module]

The QTableWidgetSelectionRange class provides a way to interact with selection in a model without using model indexes and a selection model. More...

### Methods

- __init__ (self)
- __init__ (self, int top, int left, int bottom, int right)
- __init__ (self, QTableWidgetSelectionRange other)
- int bottomRow (self)
- int columnCount (self)
- int leftColumn (self)
- int rightColumn (self)
- int rowCount (self)
- int topRow (self)

## Detailed Description

The QTableWidgetSelectionRange class provides a way to interact with selection in a model without using model indexes and a selection model.

The QTableWidgetSelectionRange class stores the top left and bottom right rows and columns of a selection range in a table. The selections in the table may consist of several selection ranges.

Note: If the item within the selection range is marked as not selectable, e.g., `itemFlags() & Qt.ItemIsSelectable == 0` then it will not appear in the selection range.

See also QTableWidget.

## Method Documentation

### QTableWidgetSelectionRange.__init__ (self)

Constructs an table selection range, i.e. a range whose rowCount() and columnCount() are 0.

### QTableWidgetSelectionRange.__init__ (self, int top, int left, int bottom, int right)

Constructs the table selection range from the given top, left, bottom and right table rows and columns.

See also topRow(), leftColumn(), bottomRow(), and rightColumn().

### QTableWidgetSelectionRange.__init__ (self, QTableWidgetSelectionRange other)

Constructs a the table selection range by copying the given other table selection range.

### int QTableWidgetSelectionRange.bottomRow (self)

Returns the bottom row of the range.

See also topRow(), rightColumn(), and rowCount().

### int QTableWidgetSelectionRange.columnCount (self)

Returns the number of columns in the range.

This is equivalent to rightColumn() - leftColumn() + 1.

This function was introduced in Qt 4.1.

See also rowCount(), leftColumn(), and rightColumn().

### int QTableWidgetSelectionRange.leftColumn (self)

Returns the left column of the range.

See also rightColumn(), topRow(), and columnCount().

### int QTableWidgetSelectionRange.rightColumn (self)

Returns the right column of the range.

See also leftColumn(), bottomRow(), and columnCount().

### int QTableWidgetSelectionRange.rowCount (self)

Returns the number of rows in the range.

This is equivalent to bottomRow() - topRow() + 1.

This function was introduced in Qt 4.1.

See also columnCount(), topRow(), and bottomRow().

### int QTableWidgetSelectionRange.topRow (self)

Returns the top row of the range.

See also bottomRow(), leftColumn(), and rowCount().